## pearlupdate 9.0

=== Makefile ===
all: buildmo

buildmo:
	@echo "Building the mo files"
	# WARNING: the second sed below will only works correctly with the languages that don't contain "-"
	for file in `ls po/*.po`; do \
		lang=`echo $$file | sed 's@po/@@' | sed 's/.po//' | sed 's/pearlupdate-//'`; \
		install -d usr/share/locale/$$lang/LC_MESSAGES/; \
		msgfmt -o usr/share/locale/$$lang/LC_MESSAGES/pearlupdate.mo $$file; \
	done \

clean:
	rm -rf usr/share/locale

## pearlupdate 5.2.2.4

=== debian/changelog ===
pearlupdate (5.2.2.4) UNRELEASED; urgency=medium

  * Misc typos

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Tue, 13 Jun 2017 03:21:54 -0500

=== debian/control ===
Source: pearlupdate
Section: admin
Priority: optional
Maintainer: Scott Vandergrift <scottvandergrift@gmail.com>
Build-Depends: debhelper (>= 9),
               python3,
               dh-python
Standards-Version: 3.9.5

Package: pearlupdate
Architecture: all
Depends:
 ${python:Depends},
 ${misc:Depends},
 lsb-release,
 inxi,
 python3-apt,
 python3-pycurl,
 synaptic,
 pearl-mirrors,
 pearl-upgrade-info,
 gir1.2-appindicator3-0.1
Conflicts: pearlupdate-gnome, pearlupdate-kde, pearlupdate-xfce
Replaces: pearlupdate-gnome, pearlupdate-kde, pearlupdate-xfce
Description: The Pearl Linux Update Manager
 Helps installing security updates and new versions of packages.

## pearlupdate 5.3

=== debian/changelog ===
pearlupdate (5.3) rapturo; urgency=medium

  * Moved version up to allow for auto-update from beta release

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Fri, 26 May 2017 18:36:54 +0000

pearlupdate (5.2.6) rapturo; urgency=medium

  * Fixed misc nmisspelling

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Fri, 26 May 2017 17:36:54 +0000

pearlupdate (5.2.6) sonya; urgency=medium

  * l10n: Properly translate help title

 -- Clement Lefebvre <root@pearllinux.com>  Tue, 30 May 2017 15:59:32 +0100

pearlupdate (5.2.5) sonya; urgency=medium

  * Don't label linux-kernel-generic as a normal kernel update
  * CheckAPT: Fix self.priority_updates_available flag not set correctly

 -- Clement Lefebvre <root@pearllinux.com>  Tue, 30 May 2017 12:00:34 +0100

pearlupdate (5.2.4) sonya; urgency=medium

  * Kernel window: Don't show labels for meta kernel versions
  * Kernel updates: Add support for HWE meta
  * Fix escaping of special characters in the UI
  * Don't group all kernel updates together.

 -- Clement Lefebvre <root@pearllinux.com>  Mon, 29 May 2017 16:54:58 +0100

pearlupdate (5.2.3) sonya; urgency=medium

  [ Clement Lefebvre ]
  * Add menu items and keyboard shortcuts
  * Rules: Add cjs and slick-greeter

  [ monsta ]
  * kernel window: purge kernel packages (#236)

  [ Clement Lefebvre ]
  * l10n: Generate additional files

 -- Clement Lefebvre <root@pearllinux.com>  Sun, 07 May 2017 13:40:05 +0100

pearlupdate (5.2.2) sonya; urgency=medium

  * Add CLI support
  * Remove unused function
  * Kernel updates: Don't recommend newer series
  * Fix origin info for 3rd party repositories
  * Initialize origin variable
  * Kernel window: Sort kernels in reverse order
  * Main window: Rename Package column to Name
  * Small fixes
  * Improved help, level definitions and policies
  * l10n: Update POT and generated files

 -- Clement Lefebvre <root@pearllinux.com>  Wed, 26 Apr 2017 13:22:28 +0100

pearlupdate (5.2.1) serena; urgency=medium

  [ NikoKrause ]
  * add missing l10n in kernelwindow

  [ fsbs ]
  * Finer mirror up-to-date checks and warnings
  * Fixed label padding in "additional changes" dialog

  [ Clement Lefebvre ]
  * Kernel window: Fix changelog link for kernel 4.8 series

 -- Clement Lefebvre <root@pearllinux.com>  Wed, 22 Feb 2017 10:48:23 +0000

pearlupdate (5.2.0) serena; urgency=medium

  * rel_upgrade: Fix typo
  * rel_upgrade: Update grub
  * Fix import errors

 -- Clement Lefebvre <root@pearllinux.com>  Thu, 05 Jan 2017 15:46:28 +0000

pearlupdate (5.1.9) serena; urgency=medium

  * rel_upgrade: Switch from dict() to configparser
  * rel_upgrade: Fix regressions caused by GTK3 migration
  * rel_upgrade: Enable backport component

 -- Clement Lefebvre <root@pearllinux.com>  Sun, 18 Dec 2016 11:37:58 +0000

pearlupdate (5.1.8) serena; urgency=medium

  [ salphaon ]
  * Fixed checking dialog response when add blacklist.

 -- Clement Lefebvre <root@pearllinux.com>  Sat, 10 Dec 2016 12:47:20 +0000

pearlupdate (5.1.7) serena; urgency=medium

  * Kernel window: rephrase text for recommended kernels
  * Kernel updates: Don't always recommend the "recommended" kernel.
  * l10n: Update POT file

 -- Clement Lefebvre <root@pearllinux.com>  Wed, 07 Dec 2016 12:42:00 +0000

pearlupdate (5.1.6) serena; urgency=medium

  * l10n: Add missing msgid

 -- Clement Lefebvre <root@pearllinux.com>  Wed, 23 Nov 2016 08:39:34 +0000

pearlupdate (5.1.5) serena; urgency=medium

  * Fix and improve kernel updates
  * kernel window: Sort kernels by version
  * kernel window: Show active kernel in listbox, and linux-image-generic recommended kernel
  * l10n: Update POT file

 -- Clement Lefebvre <root@pearllinux.com>  Tue, 22 Nov 2016 15:28:28 +0000

pearlupdate (5.1.4) serena; urgency=medium

  * l10n: Unescape pkg descriptions

 -- Clement Lefebvre <root@pearllinux.com>  Thu, 17 Nov 2016 18:33:13 +0000

pearlupdate (5.1.3) serena; urgency=medium

  * Elevate ubuntu-drivers-common and nvidia drivers to level 4

 -- Clement Lefebvre <root@pearllinux.com>  Tue, 08 Nov 2016 10:23:02 +0000

pearlupdate (5.1.2) serena; urgency=medium

  [ rogue-spectre ]
  * set_label for OK and Help for preference menu
  * translatable="yes" for ok and help

  [ Clement Lefebvre ]
  * l10n: Update POT file

 -- Clement Lefebvre <root@pearllinux.com>  Mon, 07 Nov 2016 10:17:13 +0000

pearlupdate (5.1.1) serena; urgency=medium

  [ xenopeek ]
  * pearlUpdate.py: don't download changelog each time on tab switch
  * pearlUpdate.py: show version number to About Dialog

  [ brennanhm ]
  * Improve visibility of buttons in update policy window - issue #170

  [ Clement Lefebvre ]
  * Fixed typos and logic errors in name resolution

  [ brennanhm ]
  * Prevent reset of package selection if update fails - issue #120
  * Add optional 'source' column to the main overview - Issue #77

  [ Clement Lefebvre ]
  * Rename Source -> Origin in previously merged PR.
  * Don't hide window when update fails

 -- Clement Lefebvre <root@pearllinux.com>  Sat, 05 Nov 2016 13:28:52 +0000

pearlupdate (5.1.0) sarah; urgency=medium

  * [tomoe-musashi] Fixed typo
  * Use appindicator in KDE
  * makepot

 -- Clement Lefebvre <root@pearllinux.com>  Mon, 15 Aug 2016 16:17:10 +0200

pearlupdate (5.0.9) sarah; urgency=medium

  * Fixes in preferences UI

 -- Clement Lefebvre <root@pearllinux.com>  Mon, 06 Jun 2016 11:34:02 +0100

pearlupdate (5.0.8) sarah; urgency=medium

  * Policy screen: Updated layout

 -- Clement Lefebvre <root@pearllinux.com>  Thu, 02 Jun 2016 14:16:03 +0100

pearlupdate (5.0.7) sarah; urgency=medium

  [ JosephMcc ]
  * Redo the level icons again

 -- Clement Lefebvre <root@pearllinux.com>  Mon, 23 May 2016 12:30:44 +0100

pearlupdate (5.0.6) sarah; urgency=medium

  [ Michael Webster ]
  * Fix tooltip check for security updates

  [ Clement Lefebvre ]
  * Specify gi GTK version in checkAPT.py

 -- Clement Lefebvre <root@pearllinux.com>  Thu, 19 May 2016 15:36:42 +0100

pearlupdate (5.0.5) sarah; urgency=medium



=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
  inxi,
  python3-apt,
  python3-pycurl,
+ python3-setproctitle,
  synaptic,
  pearl-mirrors,
  pearl-upgrade-info,

## pearlupdate 7.7

=== debian/changelog ===
pearlupdate (7.7) rolltide; urgency=medium

  * Fixed typo

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Sat, 21 Apr 2018 05:14:41 -0500

pearlupdate (7.6) rolltide; urgency=medium

  * update icons

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Fri, 16 Mar 2018 18:40:06 -0500

pearlupdate (7.5) rolltide; urgency=medium

   * branding re build

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Fri, 16 Mar 2018 12:10:31 +0000

=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
  synaptic,
  pearl-mirrors,
  pearl-upgrade-info,
+ python3-xapp (>= 1.0.1),
  gir1.2-appindicator3-0.1
 Conflicts: pearlupdate-gnome, pearlupdate-kde, pearlupdate-xfce
 Replaces: pearlupdate-gnome, pearlupdate-kde, pearlupdate-xfce

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} --with python2

override_dh_python2:
	dh_python2 /usr/lib/pearllinux/pearlUpdate

## pearlupdate 7.7.3

=== debian/changelog ===
pearlupdate (7.7.3) rolltide; urgency=medium
  
  * Branding

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Tue, 22 May 2018 11:16:25 +0100

=== debian/control ===
--- 
+++ 
@@ -23,6 +23,7 @@
  python3-xapp (>= 1.0.1),
  gir1.2-appindicator3-0.1
 Conflicts: pearlupdate-gnome, pearlupdate-kde, pearlupdate-xfce
+Breaks: virtualbox-guest-utils, virtualbox-guest-x11, vitualbox-guest-dkms
 Replaces: pearlupdate-gnome, pearlupdate-kde, pearlupdate-xfce
 Description: The Pearl Linux Update Manager
  Helps installing security updates and new versions of packages.

## pearlupdate 7.7.4

=== debian/changelog ===
pearlupdate (7.7.4) rolltide; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Thu, 02 Aug 2018 03:35:37 +0200

## pearlupdate 7.7.5

=== debian/changelog ===
pearlupdate (7.7.5) rolltide; urgency=medium

  * Initial build for Pearl 7 updated

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Tue, 09 Jul 2019 14:10:34 +0200

mintupdate (5.4.8) tina; urgency=medium

  [ gm10 ]
  * Prevent extraneous blank lines on error status (#443)
  * Fix Gtk.MessageDialog "transient parent" issues (#449)
  * Kernelwindow: center on main window (#458)
  * kernelwindow: Reverse sort Remove old kernels (#450)
  * checkWarnings.py: Fix indentation, coding style (#466)

  [ Clement Lefebvre ]
  * CheckWarnings: Fix package names appearing more than once

  [ gm10 ]
  * Allow blacklisting a specific version (#421)

  [ Clement Lefebvre ]
  * l10n: Rephrase msgids for blacklist options

  [ gm10 ]
  * Fix "Hide after applying updates" option (#430)
  * Fix "Always show kernel updates" behaviour (#428)
  * Handle dpkg lock via fuser, remove existing process based detection code (#446)
  * Preferences and automation rework (#416)

  [ Clement Lefebvre ]
  * Small fixes to the previous commit

  [ gm10 ]
  * kernelwindow: Support installed kernels of different types (#434)

  [ Clement Lefebvre ]
  * Inject the app version during the build
  * Remove unused import
  * Fix generate_desktop_files

  [ gm10 ]
  * Revert remaining part of f0829ac04b559a76fed0639bf5590f80bd78bd8d, which is incompatible with my kernel window patches (#480)
  * Add issue templates
  * Automatically refresh Update Manager when the package cache is changed (#441)
  * Point to "apt update" on release information change (#453)
  * Assorted fixes (#454)
  * checkAPT: Only run mintinstall-update-pkgcache when root (#445)
  * Add manual pages (#468)
  * Prevent right-click blacklisting PRIORITY_UPDATES (#473)
  * Fix lsb_release calls (#477)
  * Rewrite Logger (#475)

  [ Clement Lefebvre ]
  * Fix datetime.now() calls

  [ gm10 ]
  * Add simple reboot notification for kernel updates (#478)

  [ Clement Lefebvre ]
  * Remove debug and indentation leftover

  [ gm10 ]
  * Information window use new Logger.read function (#476)
  * Refactor information window for compatibility with current Gtk version, also make read-only. (#486)
  * alias kernel updates only if meta or at least 3 packages in update (#464)
  * Fix root refresh creating root owned files and on LMDE ignoring settings (#472)
  * Always show all applicable infobars, and all infobars to use show_infobar function (#479)

  [ Clement Lefebvre ]
  * Fix infobar icon

  [ gm10 ]
  * Rework kernel/meta recommendation logic (#456)
  * Remove old kernels: Only pre-select kernels older than the current one (#482)
  * APT policy check: Reword error message when Mint layer wasn't found, (#483)
  * Preferences: Run recurring refresh timer based on last refresh time, (#462)
  * Change datetime import
  * Change kernelwindow.py as well
  * Properly escape markup in updates listing (#489)
  * Drop unnecessary except variables (#488)
  * Add distribution end of life warning and status (#459)
  * Kernelwindow: Add optional kernel flavour selector (#457)
  * Add Packages tab and move package listing from descriptions tab there (#467)
  * Fix generic blacklisting of kernel packages (#490)

  [ Clement Lefebvre ]
  * Revert "Fix root refresh creating root owned files and on LMDE ignoring settings (#472)"

  [ gm10 ]
  * Fix changelog retrieval in last commit (#491)
  * Kernelwindow: Automatically remove left-over meta-packages (#455)

  [ Clement Lefebvre ]
  * Remove levels (#492)
  * Add CI and dummy test (#493)
  * Split APT cache refresh away from checkAPT (#496)

  [ gm10 ]
  * Remove count from package list to avoid launchpad translation issues (#494)

  [ Clement Lefebvre ]
  * Remove obsolete options
  * l10n: Update POT

  [ gm10 ]
  * Improve mint-refresh-cache (#497)

  [ Clement Lefebvre ]
  * Fix checkbox alignments in preferences.ui
  * Improve timeshift check

  [ gm10 ]
  * Fix logging errors and make small optimizations (#498)
  * Fix checkWarnings still using removed dist-upgrade setting (#500)
  * Preferences: Blacklist add separate version entry and descriptive labels (#502)
  * CacheWatcher pause/resume changes in interaction with refresh and install threads (#505)
  * Kernel window: Greatly speed up load times (#508)
  * Change question-type infobars to Yes/No buttons (#513)
  * Kernel window: Automatically show flavour selector while multiple flavours are installed (#512)
  * Normalize capitalization according to GNOME style guidelines (#514)
  * Kernel window: Add support for queueing actions (#509)
  * Simplify refresh subprocesses commands, do not  spawn a shell, do not use deprecated method (#503)
  * Add root_mode argument to refresh method, point all but one RefreshThread usages to this method (#506)
  * Blacklisting: Add user blacklist export button to preferences, (#499)
  * Preferences: Add description to automatic maintenance option (#501)
  * Add self-update status page (#507)
  * Refactor RefreshThread to make it more readable (#517)
  * Kernel window: Ellipsis handling (#518)
  * Run apt-config and apt-cache with LC_ALL=C (#521)
  * Check if timeshift exists in timeshift_check() (#523)
  * Drop checkbutton_default_repo_is_ok (#524)
  * Remove unnecessary gi imports (#522)
  * kernels.ui: flavour > flavor (#529)
  * InstallThread: Don't hardcode MessageDialog default component names (#536)
  * Infobars: Only pad below (#533)
  * mintupdate-cli: Don't define PRIORITY_UPDATES, import from Classes.py (#531)
  * Drop "(local)" tag from non-repository installed kernels, it's not really relevant information and wasn't localized, anyway (#527)
  * kernelwindow.py: Remove unused imports, variable and execute permissions (#526)
  * Fix automatic upgrades default configuration (#530)
  * KernelVersion rework: (#525)
  * checkAPT.py assorted fixes: Drop unused function, fix .keys() usage, remove unnecessary sorting (#528)
  * checkAPT: Rework source name grouping for kernel-type updates (#534)


## pearlupdate 7.8

=== debian/changelog ===
pearlupdate (7.8) rolltide; urgency=medium

  * New Upstream

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Wed, 13 Nov 2019 20:58:00 +0100

=== debian/control ===
--- 
+++ 
@@ -13,17 +13,20 @@
  ${python:Depends},
  ${misc:Depends},
  lsb-release,
- inxi,
+ apt,
+ cron,
+ distro-info-data,
+ psmisc,
  python3-apt,
  python3-pycurl,
  python3-setproctitle,
+ python3-xapp (>= 1.6),
  synaptic,
  pearl-mirrors,
  pearl-upgrade-info,
  python3-xapp (>= 1.0.1),
  gir1.2-appindicator3-0.1
 Conflicts: pearlupdate-gnome, pearlupdate-kde, pearlupdate-xfce
-Breaks: virtualbox-guest-utils, virtualbox-guest-x11, vitualbox-guest-dkms
 Replaces: pearlupdate-gnome, pearlupdate-kde, pearlupdate-xfce
 Description: The Pearl Linux Update Manager
  Helps installing security updates and new versions of packages.

## pearlupdate 8.4

=== debian/changelog ===
pearlupdate (8.4) qanon; urgency=medium

  * New version for qanon release

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Thu, 28 Feb 2019 09:27:00 -0600

## pearlupdate 9.0

=== debian/changelog ===
pearlupdate (9.0) qanon+; urgency=medium

  * Initial Pearl 9.0 Qanon+ build

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Mon, 24 Feb 2020 10:25:05 +0000

## pearlupdate 9.4.2

=== debian/changelog ===
pearlupdate (9.4.2) qanon+; urgency=medium

  * Reversioning

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Mon, 24 Aug 2020 02:35:56 -0500

pearlupdate (9.3) qanon+; urgency=medium

  * Removed pearllinux.com references

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Mon, 24 Aug 2020 02:29:15 -0500

## pearlupdate 9.4.3

=== debian/changelog ===
pearlupdate (9.4.3) qanon+; urgency=medium

  * Fixed apllication autostart name

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Sat, 14 Nov 2020 05:54:46 -0600

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,8 @@
  pearl-mirrors,
  pearl-upgrade-info,
  python3-xapp (>= 1.0.1),
- gir1.2-appindicator3-0.1
+ gir1.2-appindicator3-0.1,
+ gir1.2-xapp-1.0
 Conflicts: pearlupdate-gnome, pearlupdate-kde, pearlupdate-xfce
 Replaces: pearlupdate-gnome, pearlupdate-kde, pearlupdate-xfce
 Description: The Pearl Linux Update Manager

## pearlupdate 9.4.4

=== debian/changelog ===
pearlupdate (9.4.4) qanon+; urgency=medium

  * 5.7.1 update

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Thu, 10 Dec 2020 12:00:12 +0000

## pearlupdate 9.4.5

=== debian/changelog ===
pearlupdate (9.4.5) qaon+; urgency=medium

  * removed pearllinux.com instead of .net references causing cache update failure

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Wed, 06 Jan 2021 20:07:55 -0600

=== debian/control ===
--- 
+++ 
@@ -26,8 +26,5 @@
  pearl-upgrade-info,
  python3-xapp (>= 1.0.1),
  gir1.2-appindicator3-0.1,
- gir1.2-xapp-1.0
-Conflicts: pearlupdate-gnome, pearlupdate-kde, pearlupdate-xfce
-Replaces: pearlupdate-gnome, pearlupdate-kde, pearlupdate-xfce
 Description: The Pearl Linux Update Manager
  Helps installing security updates and new versions of packages.

## pearlupdate 13

=== debian/changelog ===
pearlupdate (13) preslee; urgency=medium

  
   Initial Build for Pearl PLDE


 -- Scott Vandergrift <scottvandergrift@gmail.com>  Thu, 16 Mar 2023 03:40:09 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
  ${misc:Depends},
  lsb-release,
  apt,
- cron,
  distro-info-data,
  psmisc,
  python3-apt,
@@ -22,9 +21,12 @@
  python3-setproctitle,
  python3-xapp (>= 1.6),
  synaptic,
+ systemd,
+ pearl-common (>= 2.2.4),
  pearl-mirrors,
  pearl-upgrade-info,
  python3-xapp (>= 1.0.1),
- gir1.2-appindicator3-0.1,
+ gir1.2-notify-0.7,
+ gir1.2-xapp-1.0
 Description: The Pearl Linux Update Manager
  Helps installing security updates and new versions of packages.
